Skip to main content
Version: 2.3.0

Get list of user groups

Updated date: 18/08/2026
Updated by: VNPT eContract's team


Purpose​

Function to get the list of user groups in the company

  • Request URL: /api/user-groups
  • HTTP method: GET
  • Authorize: Bearer token
  • Parameter: Not required, but additional options can be added below to filter or search the list of user group..
KeyTypeDescription
searchstringSearch information by Code of user group
pageintPage number (default is 1)
pagesizeintPage size (default is 10 records)

Sample request​

Query param:
page: 1
pageSize: 10
search: USER
Request: /api/user-groups?page=1&pageSize=10&search=USER

Sample response body​

{
"data": {
"items": [
{
"id": 11,
"code": "USER",
"name": "Regular user group",
"users": [
{
"id": 123,
"comId": 164,
"isValid": false,
"signConfirmationEnabled": false,
"isAccountLocked": false,
"signMethod": {
"value": 0,
"description": "0"
},
"status": {
"value": 0,
"description": "0"
},
"receiveOtpMethod": {
"value": 0,
"description": "0"
},
"receiveNotificationMethod": {
"value": 0,
"description": "Email"
}
}
]
}
],
"totalCount": 1,
"pageCount": 1,
"page": 1,
"pageSize": 10,
"hasNextPage": false,
"hasPreviousPage": false
},
"success": true,
"code": 0,
"messages": []
}
note

The user object has been simplified to show only the most important fields. To see detailed user information, please refer to API to get user information by ID

Response Body Description​

KeyTypeDescription
successbooleanResponse status (true: Success, false: Failure)
codeintResponse code from the system
messagesarrayList of messages returned by the system
dataobjectObject containing the list of user groups and pagination data (see details below)

Details of data:​

KeyTypeDescription
itemsarrayList of detailed user group information (see details below)
totalCountintTotal number of user groups matching the filter criteria
pageCountintTotal number of pages
pageintCurrent page
pageSizeintNumber of records per page
hasNextPagebooleanWhether there is a next page (true: Yes, false: No)
hasPreviousPagebooleanWhether there is a previous page (true: Yes, false: No)

Details of objects in the items array:​

KeyTypeDescription
idintUser group ID
codestringUser group code (e.g., USER)
namestringUser group name
usersarrayList of users belonging to the group (see user details)